FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora User

 
 
LinkBack Thread Tools
 
Old 08-14-2010, 12:53 AM
 
Default Yum update , Went Bad

FC12, X86_64

Doing a "yum update" I get this Error message.

There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

No module named cElementTree

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.6.2 (r262:71600, Jun 4 2010, 18:28:58)
[GCC 4.4.3 20100127 (Red Hat 4.4.3-4)]

If you cannot solve this problem yourself, please go to
the yum faq at:
http://yum.baseurl.org/wiki/Faq


And I did a locate cElementTree , and;

/usr/lib64/python2.6/xml/etree/cElementTree.py
/usr/lib64/python2.6/xml/etree/cElementTree.pyc
/usr/lib64/python2.6/xml/etree/cElementTree.pyo


I'm working from a Single User Mode, And the Computer is crashed and I
want to Upgrade to to FC13 but yum is causing problems.

I do have the network up in Single user mode.
--
users mailing list
users@lists.fedoraproject.org
To unsubscribe or change subscription options:
https://admin.fedoraproject.org/mailman/listinfo/users
Guidelines: http://fedoraproject.org/wiki/Mailing_list_guidelines
 
Old 08-14-2010, 01:20 AM
JD
 
Default Yum update , Went Bad

On 08/13/2010 05:53 PM, binarynut@comcast.net wrote:
> FC12, X86_64
>
> Doing a "yum update" I get this Error message.
>
> There was a problem importing one of the Python modules
> required to run yum. The error leading to this problem was:
>
> No module named cElementTree
>
> Please install a package which provides this module, or
> verify that the module is installed correctly.
>
> It's possible that the above module doesn't match the
> current version of Python, which is:
> 2.6.2 (r262:71600, Jun 4 2010, 18:28:58)
> [GCC 4.4.3 20100127 (Red Hat 4.4.3-4)]
>
> If you cannot solve this problem yourself, please go to
> the yum faq at:
> http://yum.baseurl.org/wiki/Faq
>
>
> And I did a locate cElementTree , and;
>
> /usr/lib64/python2.6/xml/etree/cElementTree.py
> /usr/lib64/python2.6/xml/etree/cElementTree.pyc
> /usr/lib64/python2.6/xml/etree/cElementTree.pyo
>
>
> I'm working from a Single User Mode, And the Computer is crashed and I
> want to Upgrade to to FC13 but yum is causing problems.
>
> I do have the network up in Single user mode.
Perhaps your python installation got corrupted???

Assuming your current python version is: 2.6.2-8

Do this:

cd /tmp
wget -c -ndH
http://mirrors.kernel.org/fedora/updates/12/x86_64/python-2.6.2-8.fc12.x86_64.rpm

yum -y install ./python-2.6.2-8.fc12.x86_64.rpm

and then retry yum -y update

If it is an older version, they you will have to search for it.
Oooops! You are in single user mode.
Well, now that you know how to bring up the network
manually,
init 5
and after the desktop comes up login,
and if necessary, bring up the net manually
(if it did not stay up after doing init 5),
and then run

sudo yum -y update

If that fails with the same reason, you will have
to bring up your browser to find the right version.


--
users mailing list
users@lists.fedoraproject.org
To unsubscribe or change subscription options:
https://admin.fedoraproject.org/mailman/listinfo/users
Guidelines: http://fedoraproject.org/wiki/Mailing_list_guidelines
 

Thread Tools




All times are GMT. The time now is 01:25 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org